package com.qmth.distributed.print.business.bean.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;
import com.qmth.distributed.print.business.enums.ExamPaperStructureStatusEnum;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考试试卷结构dto
 * </p>
 *
 * @author xf
 */
public class ExamPaperStructurePageDto extends ExamPaperStructure implements Serializable {

    private static final long serialVersionUID = 1L;

    private String statusStr;

    private String paperNumberId;

    private String taskStatus;

    private String transferId;

    private String cardId;

    private Long examTaskId;

    @Override
    public String getStatusStr() {
        return statusStr;
    }

    @Override
    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    @Override
    public String getPaperNumberId() {
        return paperNumberId;
    }

    @Override
    public void setPaperNumberId(String paperNumberId) {
        this.paperNumberId = paperNumberId;
    }

    @Override
    public String getTaskStatus() {
        return taskStatus;
    }

    @Override
    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    @Override
    public String getTransferId() {
        return transferId;
    }

    @Override
    public void setTransferId(String transferId) {
        this.transferId = transferId;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public Long getExamTaskId() {
        return examTaskId;
    }

    public void setExamTaskId(Long examTaskId) {
        this.examTaskId = examTaskId;
    }
}
